/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.block__container {
    padding: 0.2em;
    display: flex;
    transition: filter _duration(transition) ease-in-out;
    position: relative;
}
.block__container--lights-out {
    filter: blur(5px);
}

.block__container--center {
    text-align: center;
    justify-content: center;
}
.block__container--left {
    text-align: left;
    justify-content: flex-start;
}
.block__container--right {
    text-align: right;
    justify-content: flex-end;
}

.block__container--middle {
    align-items: center;
}
.block__container--top {
    align-items: flex-start;
}
.block__container--bottom {
    align-items: flex-end;
}

.slide > .block__container {
    width: 100%;
    height: 100%;
}

.block__split {
    display: flex;
    width: 100%;
    height: 100%;
}
.block__split--h {
    flex-direction: row;
}
.block__split--v {
    flex-direction: column;
}
.block__split--dragging {
    filter: sepia(0.5);
}
